gcDLLs {R.utils} | R Documentation

## Identifies and removes DLLs of packages already unloaded

### Description

Identifies and removes DLLs of packages already unloaded. When packages are unloaded, they are ideally also unloading any DLLs (also known as a dynamic shared object or library) they have loaded. Unfortunately, not all package do this resulting in "stray" DLLs still being loaded and occupying R's limited registry. These functions identifies and removes such DLLs.

### Usage

    gcDLLs(quiet=TRUE)

### Arguments

`quiet` | If `FALSE`, a message is outputted for every stray DLL that is unloaded.

### Details

If a library fails to unload, an informative warning is generated.

### Value

Returns (invisibly) the set of stray DLLs identified.

### How to unload DLLs in package (for package developers)

To unload a package DLL whenever the package in unloaded, add the following to your package:

      .onUnload <- function(libpath) {
          library.dynam.unload(.packageName, libpath)
      }

### Author(s)

Henrik Bengtsson

### See Also

`getLoadedDLLs`().

[Package R.utils version 2.5.0 Index]